DESCRIPTION = "Additional plugins for Enigma2"
MAINTAINER = "Ori by Sven Karschewski <seddi@i-have-a-dreambox.com> patch by Dreg <dreg@schoppe15.de>"
HOMEPAGE = "www.schoppe15.de"
LICENSE = "free"
PRIORITY = "optional"
SECTION = "my packages"

PV = "1.16"
PR = "r2"
SRCDATE = "20060902"

SRC_URI = "file://acinclude.m4 file://configure.ac file://__init__.py file://Makefile.am \
	file://pakenham.ttf file://plugin.png file://plugin.py file://tuxcom.c \
	file://tuxcom.conf file://tuxcom.h"

S = "${WORKDIR}/"

inherit autotools

do_install () {
        install -d ${D}/usr/plugins
        install -d ${D}/usr/share/fonts
        install -d ${D}/usr/lib/enigma2/python/Plugins/Extensions/Tuxcom
        install -d ${D}/etc/tuxbox

        install -m 0644 ${WORKDIR}/__init__.py ${D}/usr/lib/enigma2/python/Plugins/Extensions/Tuxcom/
	install -m 0644 ${WORKDIR}/pakenham.ttf ${D}/usr/share/fonts/
        install -m 0644 ${WORKDIR}/plugin.png ${D}/usr/lib/enigma2/python/Plugins/Extensions/Tuxcom/
        install -m 0644 ${WORKDIR}/plugin.py ${D}/usr/lib/enigma2/python/Plugins/Extensions/Tuxcom/
        install -m 0755 ${WORKDIR}/tuxcom ${D}/usr/plugins/
	install -m 0644 ${WORKDIR}/tuxcom.conf ${D}/etc/tuxbox/
}

FILES_${PN} = "/usr/plugins /usr/share/fonts /usr/lib/enigma2/python/Plugins/Extensions/Tuxcom /etc/tuxbox"
